-util-linux (2.13~rc2-4) unstable-UNRELEASED; urgency=low
+util-linux (2.13~rc2-4) unstable; urgency=low
* switch to using libvolume-id-dev
* Recommend: nfs-common so that portmap doesn't become defacto-Required.
NFS mounts will not work unless nfs-common is upgraded to at least the
- Recommended version. See #435125. Closes: #435204, #435223
+ Recommended version, so now mount.preinst will fail if there are NFS
+ mounts and no /usr/sbin/mount.nfs. Closes: #435204, #435223, #435125
- -- LaMont Jones <lamont@debian.org> Mon, 30 Jul 2007 01:01:08 -0600
+ -- LaMont Jones <lamont@debian.org> Mon, 30 Jul 2007 08:07:37 -0600
util-linux (2.13~rc2-3) unstable; urgency=low
--- /dev/null
+#!/bin/sh -e
+
+# Debian mount preinst
+# LaMont Jones <lamont@debian.org>
+
+### do we have debconf?
+##if [ -f /usr/share/debconf/confmodule ]; then
+## . /usr/share/debconf/confmodule
+## DEBCONF=true
+##else
+## DEBCONF=
+##fi
+
+case "$1" in
+ install)
+ ;;
+
+ upgrade)
+ version=$2
+ export LANG=C # for the comparison of mail version...
+
+ NFS_IN_USE=$(sed -n '/^[^ ]* [^ ]* nfs /p' /proc/mounts)
+ if [ -n "$NFS_IN_USE" ] && [ ! -x /usr/sbin/mount.nfs ]; then
+ cat << EOF
+You have NFS mounts, and this version of mount requires that nfs-common
+be upgraded before NFS mounts will work.
+
+Aborting install.
+EOF
+ exit 1
+ fi
+
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
install -m 644 $(HISTORY) debian/tmp-mount/usr/share/doc/mount/changelog
find debian/tmp-mount/usr/share/{doc,man} -type f | xargs gzip -9
install -m 644 debian/copyright debian/tmp-mount/usr/share/doc/mount/copyright
- install debian/mount.postinst debian/tmp-mount/DEBIAN/postinst
+ install debian/mount.preinst debian/tmp-mount/DEBIAN/preinst
install debian/mount.prerm debian/tmp-mount/DEBIAN/prerm
+ install debian/mount.postinst debian/tmp-mount/DEBIAN/postinst
ls debian/tmp-mount/{bin,sbin}/* | xargs dpkg-shlibdeps -pmount
dpkg-gencontrol -isp -pmount -Pdebian/tmp-mount
dpkg --build debian/tmp-mount ..